All Data Structures Namespaces Files Functions Variables Pages
errorpage.php File Reference

Go to the source code of this file.

## Variables

| $error = $_SERVER['REDIRECT_STATUS']
| $referring_url = $_SERVER['HTTP_REFERER']
| $requested_url = $_SERVER['REQUEST_URI']
| $referring_ip = $_SERVER['REMOTE_ADDR']
| $server_name = $_SERVER['SERVER_NAME']
| $titles
if(isset($titles[$error])) | else
| $img = "/img/error/$error.jpg"

## Variable Documentation

$error = $_SERVER['REDIRECT_STATUS']

Definition at line 2 of file errorpage.php.

$img = "/img/error/$error.jpg"

Definition at line 23 of file errorpage.php.

$referring_ip = $_SERVER['REMOTE_ADDR']

Definition at line 5 of file errorpage.php.

$referring_url = $_SERVER['HTTP_REFERER']

Definition at line 3 of file errorpage.php.

$requested_url = $_SERVER['REQUEST_URI']

Definition at line 4 of file errorpage.php.

$server_name = $_SERVER['SERVER_NAME']

Definition at line 6 of file errorpage.php.

$titles

Initial value:
= array(
401 => "错误401 - 认证失败",
403 => "错误403 - 拒绝访问",
404 => "错误404 - 文件未找到",
500 => "错误500 - 服务器内部错误",
503 => "错误503 - 服务暂时不可用",
)

Definition at line 10 of file errorpage.php.

if (isset($titles[$error])) else

Initial value:
{
$title = "未知错误"
$title
$title
Definition: config.inc.php:91

Definition at line 20 of file errorpage.php.